<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>{% block title %}Welcome!{% endblock %}</title>
        {% block stylesheets %}
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta.2/css/bootstrap.min.css" integrity="sha384-PsH8R72JQ3SOdhVi3uxftmaW6Vc51MKb0q5P2rRUpPvrszuE4W1povHYgTpBfshb" crossorigin="anonymous">
        <link rel="stylesheet" href="https://bootswatch.com/4/lux/bootstrap.min.css">
		<link rel="stylesheet" href="css/style.css">
		{% endblock %}
    </head>
<body>

	<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
		<a class="navbar-brand" href="#">GameHub</a>
		<div class="center">
		<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarColor02" aria-controls="navbarColor02" aria-expanded="false" aria-label="Toggle navigation">
			<span class="navbar-toggler-icon"></span>
		</button>
		</div>
		<div class="collapse navbar-collapse" id="navbarColor02">
			<ul class="navbar-nav mr-auto">
				<li class="nav-item active">
					<a class="nav-link" href="{{ path('homepage') }}">Home
						<span class="sr-only">(current)</span>
					</a>
				</li>
				<li class="nav-item">
					<a class="nav-link" href="{{ path('security_registration') }}">Inscription</a>
				</li>
				<li class="nav-item">
					<a class="nav-link" href="{{ path('listpost') }}">Liste des jeux</a>
				</li>
                {% if not app.user %}
                <li class="nav-item">
					<a class="nav-link" href="{{ path('security_login') }}">Connexion</a>
				</li>
                {% else %}
                <li class="nav-item">
					<a class="nav-link" href="{{ path('security_logout') }}">Deconnexion</a>
				</li>
                <li class="nav-item">
					<a class="nav-link" href="{{ path('security_myacount') }}">Mon compte</a>
				</li>
				<li class="nav-item">
					<a class="nav-link" href="{{ path('newpost',{'id': app.user.id}) }}">Ajouter un jeu</a>
				</li>
                {% endif %}
			</ul>
		</div>
	</nav>

	{% block body %}{% endblock %}
	{% block javascripts %}{% endblock %}
</body>

</html>
